<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- This template must be included using a s:decorate element in a <ui:define name="body"> element-->
    <h:form id="globalForm">
        <h:outputText style="display: none;" styleClass="scriptLocalization" value="#{applicationConfiguration.getLocalizationCDAPIDs()}"/>
        <h:outputScript library="jscript" name="checkPid.js"/>
        <a4j:jsFunction name="ontyperejected" actionListener="#{validationBeanGui.displayInvalidFileTypeMessage()}"/>



        <a4j:outputPanel>
            <s:decorate template="/common/fileUploaderOrPasteContent.xhtml" rendered="#{!validationBeanGui.isValidationDone()}">
                <ui:param name="managedBean" value="#{validationBeanGui}"/>
                <ui:param name="pasteContentAccepted" value="#{pasteContentAccepted}"/>
                <ui:define name="specificMessage">
                    <h:outputText value="#{messages['net.ihe.gazelle.evs.EnterYourMessageInTheBoxBelowOrUploadTheFileCont']}" rendered="#{validationBeanGui.document == null and pasteContentAccepted}"/>
                </ui:define>
                <ui:define name="validatorSelection">
                    <a4j:outputPanel id="globalDiv">
                        <s:div rendered="#{!validationBeanGui.isValidationDone()}">
                            <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">
                                <ui:param name="panel_id" value="validatorPanel"/>
                                <ui:define name="panel_title">
                                    <h:outputText value="#{messages['net.ihe.gazelle.evs.ValidatorSelection']}"/>
                                </ui:define>

                                <s:div rendered="#{validationBeanGui.getStandardDescription() != null}">
                                    <s:span styleClass="help-block">
                                        <g:safehtml value="#{validationBeanGui.getStandardDescription()}"/>
                                    </s:span>
                                </s:div>
                                <s:div id="additionalData">
                                    <ui:insert name="additionalInfo"/>
                                </s:div>

                                <s:div id="methodSelectionDecoration" styleClass="form-horizontal">

                                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                        <ui:param name="id" value="senddtxt"/>
                                        <ui:define name="label">#{messages['net.ihe.gazelle.evs.SelectAValidator']} :</ui:define>
                                        <h:selectOneMenu styleClass="form-control gzl-form-control gzl-select-text" id="senddtxt"
                                                         value="#{validationBeanGui.selectedValidatorName}">
                                            <f:selectItems
                                                    value="#{validationBeanGui.getValidatorsAsSelectItems()}"
                                                    noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}"/>
                                            <a4j:ajax event="change" render="panel_footer_id description_panel"/>
                                        </h:selectOneMenu>
                                        <s:div id="description_panel" style="width: 90%;"
                                        >
                                            <s:span styleClass="help-block">
                                                <g:safehtml value="#{validationBeanGui.getValidationServiceDescription()}"/>
                                            </s:span>
                                        </s:div>
                                    </s:decorate>

                                </s:div>

                                <ui:define name="panel_footer">
                                    <s:div id="panel_footer_id">

                                        <a4j:commandButton id="validateCDAButton" styleClass="gzl-btn-blue"
                                                           value="#{messages['gazelle.evs.client.validate']}"
                                                           actionListener="#{validationBeanGui.validate()}"
                                                           oncomplete="
                                               #{validationResultBeanGui.init(validationBeanGui.buildAndGetValidationResultDto(), validationBeanGui.referencedStandard.id)};
                                               if(#{validationResultBeanGui.sendBackResultToTool()})
                                                 {jq162('#sendBackToCallingTool').modal('show')}
                                               else if (#{validationResultBeanGui.displayInfoPopup()})
                                                 {jq162('#infoPopup').modal('show')}
                                               else
                                                 {jq162('#sendBackToCallingTool').modal('hide')}"
                                                           disabled="#{validationBeanGui.document == null
                                                           or validationBeanGui.selectedValidatorName == null}"
                                                           render="@form" execute="@form"
                                                            title="#{messages['net.ihe.gazelle.evs.ValidateYourDocument']}"/>
                                        <h:commandButton title="#{messages['net.ihe.gazelle.evs.GetXMLWebserviceRequest']}" action="#{validationBeanGui.downloadWebServiceBody()}"
                                                       disabled="#{validationBeanGui.document == null
                                                           or validationBeanGui.selectedValidatorName == null}" styleClass="gzl-btn-blue"
                                                        value="#{messages['net.ihe.gazelle.evs.GetXMLRequest']}" >

                                        </h:commandButton>

                                    </s:div>
                                </ui:define>
                            </ui:decorate>

                        </s:div>
                    </a4j:outputPanel>
                </ui:define>
            </s:decorate>
            <s:div>
                <p id="scriptResult"/>
            </s:div>
        </a4j:outputPanel>

        <a4j:outputPanel id="validationDiv">
            <s:div rendered="#{validationBeanGui.isValidationDone()}">
                <ui:include id="report" src="/common/validationReport.xhtml">
                    <ui:param name="dd_styleClass" value="gzl-dd-label"/>
                    <ui:param name="gui" value="#{validationResultBeanGui}"/>
                </ui:include>
            </s:div>
        </a4j:outputPanel>


    </h:form>

</ui:composition>
